Subject: Re: 28.0.50; regression in commit c7c154bb, minibuffer is not closed after opening a file

From: Platon Pronko <[email-masked]>
Date: Sun, 31 Jan 2021 15:11:11 +0300

Hi!

Tested the commit, the issue is gone - both with and without (not (minibufferp)).

However I noticed that (minibufferp) can return nil when it is called on *Minibuf-1* (I noticed this when suddenly dvorak was enabled in minibuffer even though (not (minibufferp)) guard was still in the code).

Here's some debug code I used to check minibufferp return:

(define-minor-mode dvorak-minor-mode "Use english-dvorak input method." :lighter nil
   (message (format "%s %s" (buffer-name (current-buffer)) (minibufferp)))
   (if (and dvorak-minor-mode (not (minibufferp)))
     (activate-input-method "english-dvorak")))
(define-global-minor-mode global-dvorak-mode dvorak-minor-mode dvorak-minor-mode)
(global-dvorak-mode t)

And here's sample output in the *Message* buffer:

For information about GNU Emacs and the GNU system, type C-h C-a.
*scratch* nil
Loading quail/latin-post...done
  *Minibuf-0* t
*Messages* nil
  *Echo Area 0* nil
  *Echo Area 1* nil
  *load* nil
  *Minibuf-1* nil  <<-- here it thinks that Minibuf-1 is not a minibuffer
  *Minibuf-0* t

Is this supposed to happen?

Best regards,
Platon Pronko